VSTs No Longer Supporting Win 7 List (and other new requirements)


#1

Since there are still several people here using Win 7 (me too), I thought I would compile a list of VSTs not supporting Win 7 anymore…hopefully with the help of others. This started with this discussion:

There are already a few, so I will start here:

Positive Grid Bias. Now requires Win 8.1 and above.


#2

FXpansion BFD3 v3.3.0.44 now requires Windows 10 or OSX 10.11


#3

This is not necessarily a Win 7 shun, but is another example of what future releases may require.

Native Instruments Massive X:
MASSIVE X requires an AVX-compatible CPU to run

An Internet connection and a graphics card that supports OpenGL 2.1 or higher are required to download and activate this product.


#4

The UVI UVX670 DUAL ‘80S ANALOG HYBRID SYNTH

  • Supported Operating Systems:
  • Mac OS X 10.8 to macOS 10.14 Mojave (64-bit)
  • Windows 8 to Windows 10 (64-bit)